> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List ScheduledExposureCalculation

> List scheduled exposure calculations. The results are returned in no
 particular order.



## OpenAPI

````yaml /api/metrics/api/exposure-calculation.openapi.json get /v1/scheduledExposureCalculations
openapi: 3.1.0
info:
  title: Confidence Exposure-calculation API
  version: 1.0.0
  description: API documentation for exposure-calculation
servers: []
security: []
paths:
  /v1/scheduledExposureCalculations:
    get:
      summary: List ScheduledExposureCalculation
      description: |-
        List scheduled exposure calculations. The results are returned in no
         particular order.
      operationId: ScheduledExposureCalculation.list
      parameters:
        - name: pageSize
          in: query
          required: false
          description: The maximum number of scheduled exposure calculations to fetch.
          schema:
            type: object
        - name: pageToken
          in: query
          required: false
          description: Token used for pagination.
          schema:
            type: string
        - name: filter
          in: query
          required: false
          description: >-
            Filtering for scheduled exposure calculations, follows the lucene
            query
             string format for example 'name: "scheduledExposureCalculations/abc"', see
             ScheduledExposureCalculation type for available fields.
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  scheduledExposureCalculations:
                    type: array
                    items:
                      $ref: >-
                        #/components/schemas/confidence.metrics.v1.ScheduledExposureCalculation
                    description: >-
                      [ScheduledExposureCalculation](/api-reference/schemas/scheduledexposurecalculation):
                      List of matching scheduled exposure calculations.
                  nextPageToken:
                    type: string
                    description: Token to fetch the next page, empty if no more pages.
                required:
                  - scheduledExposureCalculations
      security:
        - admin: []
      servers:
        - url: https://metrics.eu.confidence.dev
        - url: https://metrics.us.confidence.dev
        - url: https://metrics.confidence.dev
components:
  schemas:
    confidence.metrics.v1.ScheduledExposureCalculation:
      title: ScheduledExposureCalculation
      type: object
      description: Represents the schedule of a exposure calculation.
      properties:
        name:
          type: string
          description: |-
            Unique identifier of the scheduled exposure calculation.
             For example: `scheduledExposureCalculations/0smva5nxuhv4yts6paxt`
        exposureCalculationSpec:
          type: object
          properties:
            assignmentTable:
              type: string
              description: Resource name of the assignment table to base exposures on.
            assignmentFilter:
              type: object
              properties:
                criteria:
                  type: array
                  items:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        attribute:
                          type: object
                          properties:
                            attribute:
                              type: string
                              description: The name of the attribute
                            eqRule:
                              type: object
                              properties:
                                value:
                                  type: object
                                  properties:
                                    boolValue:
                                      type: boolean
                                    numberValue:
                                      type: number
                                    stringValue:
                                      type: string
                                    timestampValue:
                                      type: object
                                    nullValue:
                                      type: object
                                      properties:
                                        dummyField:
                                          type: string
                                          description: Dummy field to make the type not empty
                                  description: |-
                                    equality (==, !=, ∈) defined for all types
                                     comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                     
                              required:
                                - value
                              description: The value must be equal to the criterion
                            setRule:
                              type: object
                              properties:
                                values:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      boolValue:
                                        type: boolean
                                      numberValue:
                                        type: number
                                      stringValue:
                                        type: string
                                      timestampValue:
                                        type: object
                                      nullValue:
                                        type: object
                                        properties:
                                          dummyField:
                                            type: string
                                            description: Dummy field to make the type not empty
                                  description: |-
                                    equality (==, !=, ∈) defined for all types
                                     comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                     
                              required:
                                - values
                              description: The value must be in the set of values
                            rangeRule:
                              type: object
                              properties:
                                startInclusive:
                                  type: object
                                  properties:
                                    boolValue:
                                      type: boolean
                                    numberValue:
                                      type: number
                                    stringValue:
                                      type: string
                                    timestampValue:
                                      type: object
                                    nullValue:
                                      type: object
                                      properties:
                                        dummyField:
                                          type: string
                                          description: Dummy field to make the type not empty
                                  description: |-
                                    equality (==, !=, ∈) defined for all types
                                     comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                     
                                startExclusive:
                                  type: object
                                  properties:
                                    boolValue:
                                      type: boolean
                                    numberValue:
                                      type: number
                                    stringValue:
                                      type: string
                                    timestampValue:
                                      type: object
                                    nullValue:
                                      type: object
                                      properties:
                                        dummyField:
                                          type: string
                                          description: Dummy field to make the type not empty
                                  description: |-
                                    equality (==, !=, ∈) defined for all types
                                     comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                     
                                endInclusive:
                                  type: object
                                  properties:
                                    boolValue:
                                      type: boolean
                                    numberValue:
                                      type: number
                                    stringValue:
                                      type: string
                                    timestampValue:
                                      type: object
                                    nullValue:
                                      type: object
                                      properties:
                                        dummyField:
                                          type: string
                                          description: Dummy field to make the type not empty
                                  description: |-
                                    equality (==, !=, ∈) defined for all types
                                     comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                     
                                endExclusive:
                                  type: object
                                  properties:
                                    boolValue:
                                      type: boolean
                                    numberValue:
                                      type: number
                                    stringValue:
                                      type: string
                                    timestampValue:
                                      type: object
                                    nullValue:
                                      type: object
                                      properties:
                                        dummyField:
                                          type: string
                                          description: Dummy field to make the type not empty
                                  description: |-
                                    equality (==, !=, ∈) defined for all types
                                     comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                     
                              description: The value must be in the range
                          required:
                            - attribute
                          description: >-
                            A criterion for an attribute (typically a table
                            column)
                  description: The filter criteria
                expression:
                  type: object
                  properties:
                    ref:
                      type: string
                    not:
                      type: object
                      description: >-
                        A boolean expression with leaf nodes that reference
                        criteria elements
                         
                    and:
                      type: object
                      properties:
                        operands:
                          type: array
                          items:
                            type: object
                          description: >-
                            A boolean expression with leaf nodes that reference
                            criteria elements
                             
                      required:
                        - operands
                    or:
                      type: object
                      properties:
                        operands:
                          type: array
                          items:
                            type: object
                          description: >-
                            A boolean expression with leaf nodes that reference
                            criteria elements
                             
                      required:
                        - operands
                  description: The filter expressions
              required:
                - criteria
                - expression
              description: Dimensions in the assignment filter to filter the calculation on
            exposureKey:
              type: string
              description: Column name that contains the variant.
            groups:
              type: array
              items:
                type: object
                properties:
                  group:
                    type: string
                    description: Name to map the variant to.
                  variantKey:
                    type: string
                    description: Name of the variant to map.
                required:
                  - group
                  - variantKey
              description: >-
                Mapping between variant and a user-defined group. If no groups
                are given, a single group called
                 "NO_GROUP" will be returned.
            splitDimensions:
              type: array
              items:
                type: string
              description: Dimensions to split the results on.
            exposureFilter:
              type: object
              properties:
                factTable:
                  type: string
                  description: Resource name of a fact table.
                filter:
                  type: object
                  properties:
                    criteria:
                      type: array
                      items:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            attribute:
                              type: object
                              properties:
                                attribute:
                                  type: string
                                  description: The name of the attribute
                                eqRule:
                                  type: object
                                  properties:
                                    value:
                                      type: object
                                      properties:
                                        boolValue:
                                          type: boolean
                                        numberValue:
                                          type: number
                                        stringValue:
                                          type: string
                                        timestampValue:
                                          type: object
                                        nullValue:
                                          type: object
                                          properties:
                                            dummyField:
                                              type: string
                                              description: Dummy field to make the type not empty
                                      description: >-
                                        equality (==, !=, ∈) defined for all
                                        types
                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                         
                                  required:
                                    - value
                                  description: The value must be equal to the criterion
                                setRule:
                                  type: object
                                  properties:
                                    values:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          boolValue:
                                            type: boolean
                                          numberValue:
                                            type: number
                                          stringValue:
                                            type: string
                                          timestampValue:
                                            type: object
                                          nullValue:
                                            type: object
                                            properties:
                                              dummyField:
                                                type: string
                                                description: Dummy field to make the type not empty
                                      description: >-
                                        equality (==, !=, ∈) defined for all
                                        types
                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                         
                                  required:
                                    - values
                                  description: The value must be in the set of values
                                rangeRule:
                                  type: object
                                  properties:
                                    startInclusive:
                                      type: object
                                      properties:
                                        boolValue:
                                          type: boolean
                                        numberValue:
                                          type: number
                                        stringValue:
                                          type: string
                                        timestampValue:
                                          type: object
                                        nullValue:
                                          type: object
                                          properties:
                                            dummyField:
                                              type: string
                                              description: Dummy field to make the type not empty
                                      description: >-
                                        equality (==, !=, ∈) defined for all
                                        types
                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                         
                                    startExclusive:
                                      type: object
                                      properties:
                                        boolValue:
                                          type: boolean
                                        numberValue:
                                          type: number
                                        stringValue:
                                          type: string
                                        timestampValue:
                                          type: object
                                        nullValue:
                                          type: object
                                          properties:
                                            dummyField:
                                              type: string
                                              description: Dummy field to make the type not empty
                                      description: >-
                                        equality (==, !=, ∈) defined for all
                                        types
                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                         
                                    endInclusive:
                                      type: object
                                      properties:
                                        boolValue:
                                          type: boolean
                                        numberValue:
                                          type: number
                                        stringValue:
                                          type: string
                                        timestampValue:
                                          type: object
                                        nullValue:
                                          type: object
                                          properties:
                                            dummyField:
                                              type: string
                                              description: Dummy field to make the type not empty
                                      description: >-
                                        equality (==, !=, ∈) defined for all
                                        types
                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                         
                                    endExclusive:
                                      type: object
                                      properties:
                                        boolValue:
                                          type: boolean
                                        numberValue:
                                          type: number
                                        stringValue:
                                          type: string
                                        timestampValue:
                                          type: object
                                        nullValue:
                                          type: object
                                          properties:
                                            dummyField:
                                              type: string
                                              description: Dummy field to make the type not empty
                                      description: >-
                                        equality (==, !=, ∈) defined for all
                                        types
                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                         
                                  description: The value must be in the range
                              required:
                                - attribute
                              description: >-
                                A criterion for an attribute (typically a table
                                column)
                      description: The filter criteria
                    expression:
                      type: object
                      properties:
                        ref:
                          type: string
                        not:
                          type: object
                          description: >-
                            A boolean expression with leaf nodes that reference
                            criteria elements
                             
                        and:
                          type: object
                          properties:
                            operands:
                              type: array
                              items:
                                type: object
                              description: >-
                                A boolean expression with leaf nodes that
                                reference criteria elements
                                 
                          required:
                            - operands
                        or:
                          type: object
                          properties:
                            operands:
                              type: array
                              items:
                                type: object
                              description: >-
                                A boolean expression with leaf nodes that
                                reference criteria elements
                                 
                          required:
                            - operands
                      description: The filter expressions
                  required:
                    - criteria
                    - expression
                  description: >-
                    A filter to apply to the fact table used for exposure
                    filtering
                displayName:
                  type: string
                  description: >-
                    Readable name for the filter, used when viewing the results.
                    If not set
                     filters will be named filter-1, filter-2 etc according to the order they
                     are configured.
              required:
                - factTable
              description: >-
                A filter to used to narrow down exposures also called custom
                exposure. Deprecated and replaced by
                 `filters`.
            filters:
              type: array
              items:
                type: object
                properties:
                  factTable:
                    type: string
                    description: Resource name of a fact table.
                  filter:
                    type: object
                    properties:
                      criteria:
                        type: array
                        items:
                          type: object
                          additionalProperties:
                            type: object
                            properties:
                              attribute:
                                type: object
                                properties:
                                  attribute:
                                    type: string
                                    description: The name of the attribute
                                  eqRule:
                                    type: object
                                    properties:
                                      value:
                                        type: object
                                        properties:
                                          boolValue:
                                            type: boolean
                                          numberValue:
                                            type: number
                                          stringValue:
                                            type: string
                                          timestampValue:
                                            type: object
                                          nullValue:
                                            type: object
                                            properties:
                                              dummyField:
                                                type: string
                                                description: Dummy field to make the type not empty
                                        description: >-
                                          equality (==, !=, ∈) defined for all
                                          types
                                           comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                           
                                    required:
                                      - value
                                    description: The value must be equal to the criterion
                                  setRule:
                                    type: object
                                    properties:
                                      values:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            boolValue:
                                              type: boolean
                                            numberValue:
                                              type: number
                                            stringValue:
                                              type: string
                                            timestampValue:
                                              type: object
                                            nullValue:
                                              type: object
                                              properties:
                                                dummyField:
                                                  type: string
                                                  description: Dummy field to make the type not empty
                                        description: >-
                                          equality (==, !=, ∈) defined for all
                                          types
                                           comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                           
                                    required:
                                      - values
                                    description: The value must be in the set of values
                                  rangeRule:
                                    type: object
                                    properties:
                                      startInclusive:
                                        type: object
                                        properties:
                                          boolValue:
                                            type: boolean
                                          numberValue:
                                            type: number
                                          stringValue:
                                            type: string
                                          timestampValue:
                                            type: object
                                          nullValue:
                                            type: object
                                            properties:
                                              dummyField:
                                                type: string
                                                description: Dummy field to make the type not empty
                                        description: >-
                                          equality (==, !=, ∈) defined for all
                                          types
                                           comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                           
                                      startExclusive:
                                        type: object
                                        properties:
                                          boolValue:
                                            type: boolean
                                          numberValue:
                                            type: number
                                          stringValue:
                                            type: string
                                          timestampValue:
                                            type: object
                                          nullValue:
                                            type: object
                                            properties:
                                              dummyField:
                                                type: string
                                                description: Dummy field to make the type not empty
                                        description: >-
                                          equality (==, !=, ∈) defined for all
                                          types
                                           comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                           
                                      endInclusive:
                                        type: object
                                        properties:
                                          boolValue:
                                            type: boolean
                                          numberValue:
                                            type: number
                                          stringValue:
                                            type: string
                                          timestampValue:
                                            type: object
                                          nullValue:
                                            type: object
                                            properties:
                                              dummyField:
                                                type: string
                                                description: Dummy field to make the type not empty
                                        description: >-
                                          equality (==, !=, ∈) defined for all
                                          types
                                           comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                           
                                      endExclusive:
                                        type: object
                                        properties:
                                          boolValue:
                                            type: boolean
                                          numberValue:
                                            type: number
                                          stringValue:
                                            type: string
                                          timestampValue:
                                            type: object
                                          nullValue:
                                            type: object
                                            properties:
                                              dummyField:
                                                type: string
                                                description: Dummy field to make the type not empty
                                        description: >-
                                          equality (==, !=, ∈) defined for all
                                          types
                                           comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                           
                                    description: The value must be in the range
                                required:
                                  - attribute
                                description: >-
                                  A criterion for an attribute (typically a
                                  table column)
                        description: The filter criteria
                      expression:
                        type: object
                        properties:
                          ref:
                            type: string
                          not:
                            type: object
                            description: >-
                              A boolean expression with leaf nodes that
                              reference criteria elements
                               
                          and:
                            type: object
                            properties:
                              operands:
                                type: array
                                items:
                                  type: object
                                description: >-
                                  A boolean expression with leaf nodes that
                                  reference criteria elements
                                   
                            required:
                              - operands
                          or:
                            type: object
                            properties:
                              operands:
                                type: array
                                items:
                                  type: object
                                description: >-
                                  A boolean expression with leaf nodes that
                                  reference criteria elements
                                   
                            required:
                              - operands
                        description: The filter expressions
                    required:
                      - criteria
                      - expression
                    description: >-
                      A filter to apply to the fact table used for exposure
                      filtering
                  displayName:
                    type: string
                    description: >-
                      Readable name for the filter, used when viewing the
                      results. If not set
                       filters will be named filter-1, filter-2 etc according to the order they
                       are configured.
                required:
                  - factTable
              description: >-
                A list of exposure filters to use. If set, the exposure will be
                calculated for each filter.
            entityFilter:
              type: object
              properties:
                dimensionTable:
                  type: string
                  description: Resource name of a dimension table
                filter:
                  type: object
                  properties:
                    criteria:
                      type: array
                      items:
                        type: object
                        additionalProperties:
                          type: object
                          properties:
                            attribute:
                              type: object
                              properties:
                                attribute:
                                  type: string
                                  description: The name of the attribute
                                eqRule:
                                  type: object
                                  properties:
                                    value:
                                      type: object
                                      properties:
                                        boolValue:
                                          type: boolean
                                        numberValue:
                                          type: number
                                        stringValue:
                                          type: string
                                        timestampValue:
                                          type: object
                                        nullValue:
                                          type: object
                                          properties:
                                            dummyField:
                                              type: string
                                              description: Dummy field to make the type not empty
                                      description: >-
                                        equality (==, !=, ∈) defined for all
                                        types
                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                         
                                  required:
                                    - value
                                  description: The value must be equal to the criterion
                                setRule:
                                  type: object
                                  properties:
                                    values:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          boolValue:
                                            type: boolean
                                          numberValue:
                                            type: number
                                          stringValue:
                                            type: string
                                          timestampValue:
                                            type: object
                                          nullValue:
                                            type: object
                                            properties:
                                              dummyField:
                                                type: string
                                                description: Dummy field to make the type not empty
                                      description: >-
                                        equality (==, !=, ∈) defined for all
                                        types
                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                         
                                  required:
                                    - values
                                  description: The value must be in the set of values
                                rangeRule:
                                  type: object
                                  properties:
                                    startInclusive:
                                      type: object
                                      properties:
                                        boolValue:
                                          type: boolean
                                        numberValue:
                                          type: number
                                        stringValue:
                                          type: string
                                        timestampValue:
                                          type: object
                                        nullValue:
                                          type: object
                                          properties:
                                            dummyField:
                                              type: string
                                              description: Dummy field to make the type not empty
                                      description: >-
                                        equality (==, !=, ∈) defined for all
                                        types
                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                         
                                    startExclusive:
                                      type: object
                                      properties:
                                        boolValue:
                                          type: boolean
                                        numberValue:
                                          type: number
                                        stringValue:
                                          type: string
                                        timestampValue:
                                          type: object
                                        nullValue:
                                          type: object
                                          properties:
                                            dummyField:
                                              type: string
                                              description: Dummy field to make the type not empty
                                      description: >-
                                        equality (==, !=, ∈) defined for all
                                        types
                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                         
                                    endInclusive:
                                      type: object
                                      properties:
                                        boolValue:
                                          type: boolean
                                        numberValue:
                                          type: number
                                        stringValue:
                                          type: string
                                        timestampValue:
                                          type: object
                                        nullValue:
                                          type: object
                                          properties:
                                            dummyField:
                                              type: string
                                              description: Dummy field to make the type not empty
                                      description: >-
                                        equality (==, !=, ∈) defined for all
                                        types
                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                         
                                    endExclusive:
                                      type: object
                                      properties:
                                        boolValue:
                                          type: boolean
                                        numberValue:
                                          type: number
                                        stringValue:
                                          type: string
                                        timestampValue:
                                          type: object
                                        nullValue:
                                          type: object
                                          properties:
                                            dummyField:
                                              type: string
                                              description: Dummy field to make the type not empty
                                      description: >-
                                        equality (==, !=, ∈) defined for all
                                        types
                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                         
                                  description: The value must be in the range
                              required:
                                - attribute
                              description: >-
                                A criterion for an attribute (typically a table
                                column)
                      description: The filter criteria
                    expression:
                      type: object
                      properties:
                        ref:
                          type: string
                        not:
                          type: object
                          description: >-
                            A boolean expression with leaf nodes that reference
                            criteria elements
                             
                        and:
                          type: object
                          properties:
                            operands:
                              type: array
                              items:
                                type: object
                              description: >-
                                A boolean expression with leaf nodes that
                                reference criteria elements
                                 
                          required:
                            - operands
                        or:
                          type: object
                          properties:
                            operands:
                              type: array
                              items:
                                type: object
                              description: >-
                                A boolean expression with leaf nodes that
                                reference criteria elements
                                 
                          required:
                            - operands
                      description: The filter expressions
                  required:
                    - criteria
                    - expression
                  description: >-
                    A filter to apply to the entity table used for entity
                    filtering
              required:
                - dimensionTable
              description: >-
                A filter based on entity-level dimensions. Deprecated and
                replaced by `entity_filters`.
            entityFilters:
              type: array
              items:
                type: object
                properties:
                  dimensionTable:
                    type: string
                    description: Resource name of a dimension table
                  filter:
                    type: object
                    properties:
                      criteria:
                        type: array
                        items:
                          type: object
                          additionalProperties:
                            type: object
                            properties:
                              attribute:
                                type: object
                                properties:
                                  attribute:
                                    type: string
                                    description: The name of the attribute
                                  eqRule:
                                    type: object
                                    properties:
                                      value:
                                        type: object
                                        properties:
                                          boolValue:
                                            type: boolean
                                          numberValue:
                                            type: number
                                          stringValue:
                                            type: string
                                          timestampValue:
                                            type: object
                                          nullValue:
                                            type: object
                                            properties:
                                              dummyField:
                                                type: string
                                                description: Dummy field to make the type not empty
                                        description: >-
                                          equality (==, !=, ∈) defined for all
                                          types
                                           comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                           
                                    required:
                                      - value
                                    description: The value must be equal to the criterion
                                  setRule:
                                    type: object
                                    properties:
                                      values:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            boolValue:
                                              type: boolean
                                            numberValue:
                                              type: number
                                            stringValue:
                                              type: string
                                            timestampValue:
                                              type: object
                                            nullValue:
                                              type: object
                                              properties:
                                                dummyField:
                                                  type: string
                                                  description: Dummy field to make the type not empty
                                        description: >-
                                          equality (==, !=, ∈) defined for all
                                          types
                                           comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                           
                                    required:
                                      - values
                                    description: The value must be in the set of values
                                  rangeRule:
                                    type: object
                                    properties:
                                      startInclusive:
                                        type: object
                                        properties:
                                          boolValue:
                                            type: boolean
                                          numberValue:
                                            type: number
                                          stringValue:
                                            type: string
                                          timestampValue:
                                            type: object
                                          nullValue:
                                            type: object
                                            properties:
                                              dummyField:
                                                type: string
                                                description: Dummy field to make the type not empty
                                        description: >-
                                          equality (==, !=, ∈) defined for all
                                          types
                                           comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                           
                                      startExclusive:
                                        type: object
                                        properties:
                                          boolValue:
                                            type: boolean
                                          numberValue:
                                            type: number
                                          stringValue:
                                            type: string
                                          timestampValue:
                                            type: object
                                          nullValue:
                                            type: object
                                            properties:
                                              dummyField:
                                                type: string
                                                description: Dummy field to make the type not empty
                                        description: >-
                                          equality (==, !=, ∈) defined for all
                                          types
                                           comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                           
                                      endInclusive:
                                        type: object
                                        properties:
                                          boolValue:
                                            type: boolean
                                          numberValue:
                                            type: number
                                          stringValue:
                                            type: string
                                          timestampValue:
                                            type: object
                                          nullValue:
                                            type: object
                                            properties:
                                              dummyField:
                                                type: string
                                                description: Dummy field to make the type not empty
                                        description: >-
                                          equality (==, !=, ∈) defined for all
                                          types
                                           comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                           
                                      endExclusive:
                                        type: object
                                        properties:
                                          boolValue:
                                            type: boolean
                                          numberValue:
                                            type: number
                                          stringValue:
                                            type: string
                                          timestampValue:
                                            type: object
                                          nullValue:
                                            type: object
                                            properties:
                                              dummyField:
                                                type: string
                                                description: Dummy field to make the type not empty
                                        description: >-
                                          equality (==, !=, ∈) defined for all
                                          types
                                           comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                           
                                    description: The value must be in the range
                                required:
                                  - attribute
                                description: >-
                                  A criterion for an attribute (typically a
                                  table column)
                        description: The filter criteria
                      expression:
                        type: object
                        properties:
                          ref:
                            type: string
                          not:
                            type: object
                            description: >-
                              A boolean expression with leaf nodes that
                              reference criteria elements
                               
                          and:
                            type: object
                            properties:
                              operands:
                                type: array
                                items:
                                  type: object
                                description: >-
                                  A boolean expression with leaf nodes that
                                  reference criteria elements
                                   
                            required:
                              - operands
                          or:
                            type: object
                            properties:
                              operands:
                                type: array
                                items:
                                  type: object
                                description: >-
                                  A boolean expression with leaf nodes that
                                  reference criteria elements
                                   
                            required:
                              - operands
                        description: The filter expressions
                    required:
                      - criteria
                      - expression
                    description: >-
                      A filter to apply to the entity table used for entity
                      filtering
                required:
                  - dimensionTable
              description: >-
                A list of entity filters based on entity-level dimensions. Each
                filter references a different
                 dimension table. An entity must match ALL filters (AND semantics).
          required:
            - assignmentTable
          description: Defines how to calculate exposure.
        scheduleStartTime:
          type: object
          description: The timestamp of when the schedule should start running.
        scheduleEndTime:
          type: object
          description: >-
            The time when the exposure calculation will end. Once the schedule
            reaches the end it will be
             cancelled and no new calculations will be triggered. If no end is specified the schedule will
             continue indefinitely.
        scheduleIntervals:
          type: array
          items:
            type: object
          description: >-
            Length of the scheduling intervals, incremented each time the
            schedule runs
             until the last which is the length that is continued indefinitely.
        exposureTable:
          type: string
          description: Resource name of the exposure table.
        entity:
          type: string
          description: Resource name of the entity that is being exposed.
        nextAssignmentStartTime:
          type: object
          description: The start time of assignments for the next scheduled run.
        nextAssignmentEndTime:
          type: object
          description: The end time of assignments for the next scheduled run.
        nextScheduledRunTime:
          type: object
          description: >-
            The time when the exposure calculation is scheduled to run the next
            time. If the calculation is cancelled, this field contains
             the latest time it was scheduled to run before cancellation.
        executedCalculationsCount:
          type: object
          description: The number of calculations that has been executed so far.
        state:
          type: string
          enum:
            - STATE_UNSPECIFIED
            - ACTIVE
            - CANCELLED
          description: Current state of the schedule.
        exposedEntitiesMetric:
          type: string
          description: Resource name of the metric that counts exposures.
        exposedEntitiesMetricSchedule:
          type: string
          description: Resource name of the metric schedule that counts exposures.
        iteration:
          type: object
          description: >-
            The iteration of the schedule. A new iteration is created every time
            the
             schedule is retriggered.
        createTime:
          type: object
          description: Time when the scheduled exposure calculation was first created.
        updateTime:
          type: object
          description: Time when the scheduled exposure calculation was last updated.
        labels:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
          description: Custom labels for this scheduled exposure calculation.
        status:
          type: object
          properties:
            scheduled:
              type: object
              properties:
                nextScheduleTime:
                  type: object
                  description: The time the calculation will be scheduled next time.
              required:
                - nextScheduleTime
              description: The calculation is scheduled but not running yet.
            cancelled:
              type: object
              properties:
                cancelledTime:
                  type: object
                  description: The time the calculation was cancelled.
              required:
                - cancelledTime
              description: The schedule has been cancelled.
            calculating:
              type: object
              properties:
                exposureCalculation:
                  type: string
                  description: The resource name of the calculation.
              required:
                - exposureCalculation
              description: The calculation is currently ongoing.
            waiting:
              type: object
              properties:
                assignmentTable:
                  type: string
                  description: >-
                    Resource name of the assignment table the schedule is
                    waiting for.
                factTable:
                  type: string
                  description: >-
                    Resource name of the exposure filter fact table the schedule
                    is waiting for.
                needDataUntilTime:
                  type: object
                  description: The time point the calculation needs data until.
                dataDeliveredUntilTime:
                  type: object
                  description: The current time data is delivered until.
              required:
                - needDataUntilTime
              description: The calculation is waiting for downstream dependencies.
            error:
              type: object
              properties:
                errorMessage:
                  type: string
                  description: Detailed description of the error.
              required:
                - errorMessage
              description: The calculation has failed.
          description: >-
            Status of the schedule. This explains more in depth of where the
            schedule is now, if it's waiting for data
             or if it's currently executing
        activeRetrigger:
          type: string
          description: Reference to a retrigger if one is active.
        displayName:
          type: string
          description: >-
            The human readable name of this schedule. If set it will be copied
            to the exposure_table and exposed_entities_metric.
        creator:
          type: string
          description: >-
            Reference to the identity that created this scheduled exposure
            calculation.
        updater:
          type: string
          description: >-
            Reference to the identity that last updated this scheduled exposure
            calculation.
        owner:
          type: string
          description: The owner of the resource. If not set will default to the creator.
      required:
        - exposureCalculationSpec
        - scheduleStartTime
        - scheduleIntervals
        - entity
        - nextAssignmentStartTime
        - nextAssignmentEndTime
        - nextScheduledRunTime
        - executedCalculationsCount
        - iteration
        - createTime
        - updateTime
        - status
        - creator
        - updater
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````